summaryrefslogtreecommitdiffstats
path: root/ardour
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2020-10-09 12:16:57 +0000
committer Eric Hameleers <alien@slackware.com>2020-10-09 12:16:57 +0000
commitbdf1c1877c4324fbc53da3632f588fd44769c186 (patch)
tree07c20c8a4f9bc1df8a70850468b8e2cea96d8d1b /ardour
parent7a5a0352aab9ba4c2ec7e53cd95a35ad2dde72b2 (diff)
downloadasb-bdf1c1877c4324fbc53da3632f588fd44769c186.tar.gz
asb-bdf1c1877c4324fbc53da3632f588fd44769c186.tar.xz
ardour: add 'X-DAW' category to the .desktop file, for liveslak menu.
Diffstat (limited to 'ardour')
-rwxr-xr-xardour/build/ardour.SlackBuild8
1 files changed, 8 insertions, 0 deletions
diff --git a/ardour/build/ardour.SlackBuild b/ardour/build/ardour.SlackBuild
index 0178233c..54c983a2 100755
--- a/ardour/build/ardour.SlackBuild
+++ b/ardour/build/ardour.SlackBuild
@@ -254,6 +254,14 @@ done
# Add the man page manually:
install -Dm 0644 ${PRGNAM}.1 -t ${PKG}/usr//man/man1/
+# Add 'X-DAW' category to the desktop file (for liveslak):
+for DESKTOPF in $PKG/usr/share/applications/*.desktop ; do
+ if ! grep -q X-DAW $DESKTOPF ; then
+ sed -i $DESKTOPF \
+ -e "s/^Categories=\(.*\)/Categories=X-DAW;\1/"
+ fi
+done
+
# Add this to the doinst.sh:
mkdir -p $PKG/install
cat <<EOINS >> $PKG/install/doinst.sh